List memories in a context pack
curl --request GET \
--url https://api.example.com/utils/context-packs/{name}/memories \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/utils/context-packs/{name}/memories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/utils/context-packs/{name}/memories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"context_pack_id": "<string>",
"version": 123,
"content": {},
"source": {
"type": "<string>",
"conversation_id": "<string>",
"turn_index": 123,
"actor": "<string>",
"confidence": 0.5,
"document_url": "<string>"
},
"classification": {
"domain": "<string>",
"priority": "normal",
"tags": [
"<string>"
],
"sensitivity": "<string>"
},
"meta_data": {},
"quality": {
"validation_status": "unvalidated",
"confidence_score": 0.5,
"validated_by": "<string>",
"validated_at": "2023-11-07T05:31:56Z"
},
"access": {
"count": 0,
"last_accessed": "2023-11-07T05:31:56Z",
"success_count": 0,
"failure_count": 0,
"success_rate": 123
},
"pinned": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_fqn": "<string>",
"content_url": "<string>",
"search_text": "<string>",
"superseded_by": "<string>",
"pinned_at": "2023-11-07T05:31:56Z",
"unpinned_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"superseded_at": "2023-11-07T05:31:56Z",
"reactivated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 2,
"limit": 50,
"total_items": 1,
"total_pages": 1,
"next_page": 123,
"prev_page": 123
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}context-packs
List memories in a context pack
List memories in the context pack.
GET
/
utils
/
context-packs
/
{name}
/
memories
List memories in a context pack
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Context pack name
Query Parameters
Filter by memory type Type of memory.
Available options:
fact, experience, observation, instruction, preference, summary, glossary, ontology, textual_pattern, kpi, exemplar, join, numeric_pattern, policy Filter by status Status of a memory.
Available options:
active, superseded, archived, deleted POSIX regex pattern to filter by name (case-insensitive)
Maximum string length:
255Response format
Available options:
short, long Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Was this page helpful?
⌘I

